DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# EllipticDistanceToPoint

Distance generation function

## SYNOPSIS

`#include "dip_generation.h"`

dip_Error dip_EllipticDistanceToPoint ( output, origin, scale )

## DATA TYPES

Output: sfloat

## FUNCTION

Computes the elliptic distance of each pixel in the output image to a point at `origin`. The coordinates of `origin` may lie outside the image. The `scale` parameter may be used to specify the relative distance between pixels in each dimension.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `output` | Output Image
`dip_FloatArray` | `origin` | Coordinates of the Origin
`dip_FloatArray` | `scale` | Relative scale of the pixel distances for each dimension

## SEE ALSO

`EuclideanDistanceToPoint`, `CityBlockDistanceToPoint`

DIPlib on-line documentation | Function reference | Global function index